<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.62.3.10.16
Name: Meting met naam en BSN
Description: Meting met naam en BSN
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000">
   <title>Meting met naam en BSN</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.16
Context: /
Item: (m)
-->

   <rule context="/" id="d120e193-false-d967e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:registrationProcess[not(@nullFlavor)])&gt;=1">(m): element hl7:registrationProcess[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:registrationProcess[not(@nullFlavor)])&lt;=1">(m): element hl7:registrationProcess[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.16
Context: /hl7:registrationProcess[not(@nullFlavor)]
Item: (m)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]"
         id="d120e210-false-d993e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:person[not(@nullFlavor)])&gt;=1">(m): element hl7:person[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:person[not(@nullFlavor)])&lt;=1">(m): element hl7:person[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]])&gt;=1">(m): element hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]])&lt;=1">(m): element hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.14
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:person
Item: (PersoonMetNaam)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person"
         id="d1014e27-false-d1044e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1">(PersoonMetNaam): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(PersoonMetNaam): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(PersoonMetNaam): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(PersoonMetNaam): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.6
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:person/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (Burgerservicenummer)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="d1063e26-false-d1086e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.6-2009-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Burgerservicenummer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.6-2009-10-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(Burgerservicenummer): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.6-2009-10-01T000000.html"
              test="@extension">(Burgerservicenummer): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.15
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:person/hl7:name
Item: (Naam)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person/hl7:name"
         id="d1087e34-false-d1108e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.15-2009-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Naam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.12
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]
Item: (Meting)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]"
         id="d1109e26-false-d1126e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Meting): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Meting): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']])&gt;=1">(Meting): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']])&lt;=1">(Meting): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']])&gt;=1">(Meting): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']])&lt;=1">(Meting): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.4
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:effectiveTime
Item: (Datummeting)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:effectiveTime"
         id="d1145e28-false-d1207e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.4-2012-10-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Datummeting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.4-2012-10-01T000000.html"
              test="not(*)">(Datummeting): <value-of select="local-name()"/> met datatype TS.DATE.MIN, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.5
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]
Item: (Metingdoor)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]"
         id="d1208e30-false-d1226e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="string(@typeCode)=('AUT')">(Metingdoor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Metingdoor): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(Metingdoor): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.5
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Metingdoor)
-->

   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d1208e34-false-d1256e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Metingdoor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Metingdoor): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.1937.99.62.3.11.5 vs-measured-by (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.12
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]
Item: (Meting)
-->
   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="string(@typeCode)=('COMP')">(Meting): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.12
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]
Item: (Meting)
-->
   <rule context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer[hl7:author[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]]/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T160122/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="string(@typeCode)=('COMP')">(Meting): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
